	.psect	.prog.
system:
	jsr	r0,__csav
	sub	$20,sp
	clr	(sp)
	mov	12(r5),-(sp)
	jsr	pc,strlen
	tst	(sp)+
	mov	r0,-(sp)
	mov	12(r5),-(sp)
	mov	r5,-(sp)
	add	$177760,(sp)
	clr	-(sp)
	mov	$1,-(sp)
	clr	-(sp)
	clr	-(sp)
	clr	-(sp)
	clr	-(sp)
	mov	$131574,-(sp)
	mov	$50712,-(sp)
	mov	$6413,-(sp)
	jsr	pc,__dir
	add	$30,sp
	mov	r0,r4
	tst	r4
	bge	.2
	mov	r4,r0
	br	.1
.2:
	mov	$1,(sp)
	mov	$1207,-(sp)
	jsr	pc,__dir
	tst	(sp)+
	mov	r0,r4
	tst	r4
	bge	.3
	mov	r4,r0
	br	.1
.3:
	mov	-20(r5),r0
.1:
	jmp	__cret
	.globl	strlen
	.globl	__dir
	.globl	system
	.globl	__csav
	.globl	__cret
	.psect	.prog.
	.even
	.psect	.data.
	.even
	.psect	.mwcn.
	.even
	.psect	.prof.
	.even
